API Guide Home (Online version only) |

# tagSndFileStreamData Struct Reference

## Detailed Description

Holds data about a sound file stream.

Definition at line 211 of file palmOneSndFileStream.h.

## Data Fields

- UInt16 streamFlags
- UInt16 streamMode
- UInt32 streamRefCon
- UInt16 playbackCount
- UInt16 streamComplete
- UInt32 dataSize
- UInt32 dataDuration
- UInt32 customDataSize
- UInt32 fileFormat
- UInt32 sampleFormat
- UInt32 sampleRate
- UInt32 sampleType
- UInt32 sampleWidth
- UInt32 sampleBlockAlign
- UInt32 maximumMilliseconds
- UInt32 maximumBytes
- UInt32 currentMillisecond
- UInt32 lastByte
- MemPtr customDataP

## Field Documentation

UInt16 streamFlags

Flag for the sound file stream.

Definition at line 213 of file palmOneSndFileStream.h.

UInt16 streamMode

Use mode sndInput or sndOutput for sound file stream.

Definition at line 214 of file palmOneSndFileStream.h.

UInt32 streamRefCon

Reserved for third party use.

Definition at line 215 of file palmOneSndFileStream.h.

UInt16 playbackCount

How many times to play the sound. Values of 0 and 1 both cause the sound to be played back one time. Is decremented each time play back of the sound is restarted.

Definition at line 217 of file palmOneSndFileStream.h.

UInt16 streamComplete

Set to true when the stream has stopped because the playbackCount has been decremented to zero, maximumBytes is reached, or maximumMilliseconds is reached

Definition at line 221 of file palmOneSndFileStream.h.

UInt32 dataSize

Size of the audio data in bytes.

Definition at line 225 of file palmOneSndFileStream.h.

UInt32 dataDuration

Duration of the audio data in milliseconds.

Definition at line 226 of file palmOneSndFileStream.h.

UInt32 customDataSize

Size of custom data in bytes.

Definition at line 227 of file palmOneSndFileStream.h.

UInt32 fileFormat

Format of the sound file stream. For example, kSndFileFormatWAV.

Definition at line 229 of file palmOneSndFileStream.h.

UInt32 sampleFormat

Format of the soud sample. Example: palmCodecAudioIMA_ADPCM

Definition at line 230 of file palmOneSndFileStream.h.

UInt32 sampleRate

Sample rate of hte sound file in frames/sec. For example, 8000.

Definition at line 231 of file palmOneSndFileStream.h.

UInt32 sampleType

Type of the sound file. For example, sndInt16.

Definition at line 232 of file palmOneSndFileStream.h.

UInt32 sampleWidth

Whether the sound is stereo, mono, and so forth. For example, sndMono.

Definition at line 233 of file palmOneSndFileStream.h.

UInt32 sampleBlockAlign

Block alignment of the sound file. For example, 256 for IMA ADPCM.

Definition at line 234 of file palmOneSndFileStream.h.

UInt32 maximumMilliseconds

Maximum milliseconds of play back.

Definition at line 236 of file palmOneSndFileStream.h.

UInt32 maximumBytes

Maximum value for lastPlayedBytes.

Definition at line 237 of file palmOneSndFileStream.h.

UInt32 currentMillisecond

Current millisecond of audio.

Definition at line 239 of file palmOneSndFileStream.h.

UInt32 lastByte

Last byte played or recorded on channel,

Definition at line 240 of file palmOneSndFileStream.h.

MemPtr customDataP

Pointer to custom data.

Definition at line 242 of file palmOneSndFileStream.h.

Top | Palm Developer Network © 2004-2008, Palm, Inc. All rights reserved. Generated on Fri Jun 13 10:08:32 2008 for Palm API Guide